Name: ocaml-postgres
Version: 20010808
Release: alt11s

Group: Development/ML
Summary: PostgreSQL bindings for OCaml
License: Distributable
Url: http://www.eleves.ens.fr:8080/home/frisch/soft
Source:  http://www.eleves.ens.fr:8080/home/frisch/info/postgres-%version.tar.gz
Patch: ocamlpostgres-shared.patch
Requires: ocaml = 3.07, findlib >= 0.9, postgresql-devel
Requires: ocaml-postgres-runtime = %version-%release

BuildRequires: ocaml = 3.07, ocamlfind-mini >= 0.9, postgresql-devel

%package runtime
Group: Development/ML
Summary: PostgreSQL bindings for OCaml runtime
Requires: ocaml-runtime = 3.07

%description

 Native PostgreSQL bindings library for OCaml.

%description runtime

 Native PostgreSQL bindings library for OCaml.

%prep
%setup -q
%patch0 -p1

%build
make

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
RPMTOP=$RPM_BUILD_ROOT make install

(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/site-lib ! -type d  ! -name '*.so' -printf "/%%p\n") > files
(cd $RPM_BUILD_ROOT; find usr/lib/ocaml/site-lib -name '*.so' -printf "/%%p\n") > runfiles


%files -f files
%doc README

%files runtime -f runfiles
%dir %_libdir/ocaml/site-lib/postgres

%changelog
* Fri Oct 10 2003 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt11s
rebuild (3.07)


* Wed Aug 27 2003 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt10s
- rebuild (3.07bs)

* Thu Mar 06 2003 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt9s
- shared libraries support

* Tue Oct 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt9
- rebuild in the new environment

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt8
- rebuild: ocaml 3.06

*Thu Aug  1 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt7
- dependencies fixed

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt6
- rebuild

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- rebuild

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04+7-alt1 and postgres 7.2

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04-alt4 (shared patch disabled)

*Mon Jan 23 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.

